/* 
 * File:    sheepworld.h
 * Author:  NMM
 * Date:    12.03.2006
 *
 * Purpose: headerdatei mit definitionen der klassen simulation und sheep
 */
 
 
 
#ifndef WORLD_HEADER
#define WORLD_HEADER

#include <iostream>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <math.h>

#include "PaeSheep.h"
#include "PaeTerrain.h"
#include "Stone.h"

class PaeSheep;

class Stone;

class World{
  private:
    PaeSheep *firstsheep;

  public:
    PaeTerrain *terr; 
	Stone *stone;

    World();
    void CreateSheep(); 
    void CreateSheep(int n); 
    void Draw();
    
    float GetHeight(float x, float y);    

    void step(int value);  
    void Prepare(void);   
    void Action(void);
    
};

#endif
